Module org.jfree.demos
Package com.orsoncharts.demo

# Class HighlightXYZColorSource

java.lang.Object
org.jfree.chart3d.renderer.xyz.StandardXYZColorSource
com.orsoncharts.demo.HighlightXYZColorSource

All Implemented Interfaces:
  `Serializable`, `org.jfree.chart3d.renderer.xyz.XYZColorSource`

public class HighlightXYZColorSource extends org.jfree.chart3d.renderer.xyz.StandardXYZColorSource
A custom implementation of the `XYZColorSource` interface.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HighlightXYZColorSource(org.jfree.chart3d.data.xyz.XYZDataset dataset, Color highlightColor, org.jfree.chart3d.data.Range xRange, org.jfree.chart3d.data.Range yRange, org.jfree.chart3d.data.Range zRange, Color... colors)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor(int series, int item)`

### Methods inherited from class org.jfree.chart3d.renderer.xyz.StandardXYZColorSource

`equals, getLegendColor, style`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HighlightXYZColorSource

public HighlightXYZColorSource(org.jfree.chart3d.data.xyz.XYZDataset dataset, Color highlightColor, org.jfree.chart3d.data.Range xRange, org.jfree.chart3d.data.Range yRange, org.jfree.chart3d.data.Range zRange, Color... colors)
Creates a new instance.

Parameters:
  `dataset` - the dataset.
  `highlightColor` -
  `xRange` -
  `yRange` -
  `zRange` -
  `colors` -

## Method Details

### getColor

public Color getColor(int series, int item)

Specified by:
  `getColor` in interface `org.jfree.chart3d.renderer.xyz.XYZColorSource`
Overrides:
  `getColor` in class `org.jfree.chart3d.renderer.xyz.StandardXYZColorSource`